import request from '@/utils/request'

//云南省所有区域信息
export function getRegion(code) {
  let codeVal = code ? code : '530000';
  return request('/goods/goodInfoManage/goodArea?areaCode=' + codeVal, {
    method: 'GET',
  });
}
// 新增区域
export function addRegion(data) {
  return request({
    url: "/goods/goodInfoManage/goodSave",
    method: "post",
    data: data,
  });
}
// 编辑区域
export function editRegion(data) {
  return request({
    url: "/goods/goodInfoManage/goodEdit",
    method: "put",
    data: data,
  });
}
// 删除区域
export function deleteRegion(id) {
  return request({
    url: "/goods/goodInfoManage/deleteGoodInfo?id=" + id,
    method: "delete",
  });
}

